import GlobalConfig from '@/config/global.config.js'

const imgSrc = GlobalConfig.appImagePrefix()

// red.js
export default {
	bgColor: '#610606',
	lightBgColor: '#922222',
	darkBgColor: '#751111',
	themeBgColor: '#610606',
	themeDarkBgColor: '#410505',
	seplineColor: '#963333',
	darkSeplineColor: '#2C0303',
	placeHolderColor: '#963333',
	themeLightBgColor: '#340100',
	itemLightBgColor: "#7d1616",
	normal: '#333333',
	light: '#ffffff',
	startLoginBgColor: 'linear-gradient(180deg, #830707, #210403)',

	btnColor: '#610606',
	mail: {
		unreadBg: `url('${imgSrc}/mail/image_mail_NotReceived.png')`,
		readedBg: `url('${imgSrc}/mail/image_mail_Received.png')`,
		titleColor: '#673815',
		timeColor: '#E6CDA4',
		titleColorReaded: '#C46A72',
		timeColorReaded: '#C46A72',
		light: '#FFFFFF',
		subTitle: '#BB6169',
		receiveBg: `url('${imgSrc}/mail/image_mail_giftdk.png')`,
		amount: '#FFF000',
		sendTip: '#3DD400',
		popConfirm: '#FFBF01',
	},
	button: {
		bgColor: '#610606',
		textNormal: '#ffffff',
		normal: 'linear-gradient(90deg, #F78B22, #E34E04)',
		cancel: 'linear-gradient(90deg, #5D9D36, #7DC261)',
		other: 'linear-gradient(90deg, #32B12F, #10740B)',
		normal1: 'linear-gradient(0deg, #ED6E07, #F3A010)',
		normal2: 'linear-gradient(0deg, #32B12F, #10740B)',
		// 这几个按钮特殊处理
		linearGolden: 'linear-gradient(0deg, #794A00, #FDE56D, #6C2E10)',
		linearGreen: "linear-gradient(0deg, #3B5E31, #32b12f, #3B5E31)",
		linearGoldenBorder: '3px solid #BE6316',
		linearGoldenText: '#491802',
	},
	corner: {
		selectBtnColor: '#830808',
		text: '#FDF062',
		selectBtnBg: '#F37E1C',
		disabledBg: '',
	},
	wallet: {
		normal: '#FEBF05',
		bgColor: '#922222',
		textColor: '#7A2500',
		light: '#ffffff',
		light07: 'rgba(255, 255, 255, 0.7)',
		theme: '#FEBF05',
		theme2: '#FB6A61',
		subtitle: '#FD5959',
		highlight: '#FEBF05',
		highlight2: '#FF9B9B',
		tabBg: '#400105',
		tabActiveBg: '#630B0B',
		tabText: '#944343',
		tabActiveText: '#FFFFFF',
		addAccountBg: 'linear-gradient( 360deg, #79130D 0%, #94150C 44%, #BC0B00 99%)',
		min: '#3C9704',
		max: '#A40000',
		holderColor: '#9D3F42',
		borderColor: '#D5343A',
		iptBg: '#3D0302',
		button: {
			normal: '#ffffff',
			bgColor: '#922222',
			textColor: '#7A2500',
			activeBgColor: '#f37e1c',
			activeTextColor: '#ffffff',	
			selectLinearBgColor: 'linear-gradient( 360deg, #79130D 0%, #94150C 44%, #BC0B00 99%)',
			linearBgColor: 'linear-gradient( 360deg, #490F0E 0%, #660F0A 74%, #70130D 99%), rgba(106,22,27,0.79)',
		},
	},
	text: {
		normal: '#ffffff',
		light: '#ffffff',
		theme: '#FEBF05',
		theme2: '#FB6A61',
		subtitle: '#FD5959',
		highlight: '#FEBF05',
		highlight2: '#FF9B9B',
		lightAlpha: 'rgba(255, 255, 255, 0.7)',
	},
	coin: {
		text: '#000000'
	},
	popup: {
		bgColor: '#922222'
	},
	navigateBar: {
		bgColor: '#610606'
	},
	tabbar: {
		bgColor: '#610606',
		textSelectColor: '#FDF062',
		textNormalColor: '#FB9595'
	},
	list: {
		headerBgColor: '#B42118',
		listBgColor: '#751111'
	},
	home: {
		bgColor: `url('${imgSrc}/home_bg.png')`,
	},
	activity: {
		bgImage: `url('${imgSrc}/spins/lottery_bg.png')`,
		recordTitleBg: `url('${imgSrc}/spins/bt_tydk.png')`,
		awardBg: `url('${imgSrc}/spins/light_bg.png')`,
		awardBtnBg: `url('${imgSrc}/spins/btn_tc_huang.png')`,
		light: '#fff',
		normal: '#FEBF05',
		popAmount: '#FFBF01',
		popTip: '#FFDF3FFF',
		player: '#CE3E47',
		normalBg: '#440707',
		inviteColor: '#7A2500',
		recordTime: '#A62E36',
		lightApacity: (blur) => `rgba(255, 255, 255, ${blur})`,
	},
	deposit: {
		bgColor: '#7B0107',
		bgLinear: 'linear-gradient(0deg, #4D0005, #5C0207)',
		bgImage: `url('${imgSrc}/deposit_btn_bg.png')`,
		itemBgColor: '#6E1719',
		itemBorderColor: '#963333',
		itemActiveBgColor: '#f37e1c',
		depCorlor: '#FFBD6E',
		awarColor: '#FFF0B5',
		button: {
			normal: '#ffffff',
			bgColor: '#922222',
			textColor: '#7A2500',
			activeBgColor: '#f37e1c',
			activeTextColor: '#ffffff',
		}
	},
	promo: {
		text: {
			normal: '#ffffff',
			awardColor: "#f8eb59",
			serarchActiveColor: "#fff",
			serarchColor: "#A7636A",
			conditionColor: "#ffdf3f",
			conditionStrokeColor: "#d23530",
			conditionActiveColor: "#ffffff",
			rankColor: "#fff",
			historyTextColor: "#fff",
		},
		search: {
			bgColor: "#650808",
			activeBgColor: "#f5851f",
		},
		listItemBgColor: "#751111",
		rank: {
			bg: `url('${imgSrc}/promo/bg.png')`,
			rbg: `url('${imgSrc}/rank/bg.jpg')`,
			bgColor: "#922222",
			headerBg: '#630900',
			headerBg2: '#56060C',
			bgActiveColor: `url('${imgSrc}/rank/image_topxzdk.png')`,
			listHeaderBgColor: "#B42118",
			listItemBgColor: "#8D120E",
			rankTextColor: "#f8eb59",
			afterContent: "#610606",
			rankRuleBgColor: "#b42118",
			rankRuleSubBgColor: "rgba(180, 40, 32, 0.7)",
			borderColor: '#FFE867',
			popRankFirstBg: `url('${imgSrc}/rank/jackpot_dk.png')`,
			tabColor: '#DE848D',
			tabActive: '#FFFFFF',
			popBgColor: 'linear-gradient(0deg, #550008, #280000)',
			rowBorderColor: '#5B191E',
			firstRowBgColor: 'linear-gradient(90deg, #744002, #320003)',
			secondRowBgColor: 'linear-gradient(90deg, #253351, #320003)',
			thirdRowBgColor: 'linear-gradient(90deg, #540B2D, #320003)',
			betRewardBg: `url('${imgSrc}/rank/image_brsdk.png')`,
			popSpecialColor: '#FFBF28',
			betRewardHeadBg: `url('${imgSrc}/rank/EventAward.png')`,
			rankColor: '#F9EB6E',
			// totalAmountBg: `url('${imgSrc}/rank/image_jackpot.png')`,
			totalAmountBg: `url('${imgSrc}/rank/jackpot.gif')`,
			rankStatinBg: `url('${imgSrc}/rank/image_paiming.png')`,
			phoneBgColor: 'rgba(0, 0, 0, 0.5)',
			listBgColor: '#631E22',
			listItemBgColor: '#44080C',
			rankNumPreColor: '#F9D0D0',
			rankNumColor: '#C06B73',
			myRankLabelColor: '#E12124',
			historyBgColor: 'linear-gradient(0deg, #550008, #280000)',
			historyTitleImg: `url('${imgSrc}/rank/jackpot_dk.png')`,
			rulesBgColor: '#290000',
			ruleHeaderBgColor: '#56060C',

			// rankFirst: `url('${imgSrc}/rank/image_tx2.png')`,
			// rankSecond: `url('${imgSrc}/rank/image_tx.png')`,
			// rankThird: `url('${imgSrc}/rank/image_tx3.png')`,
		},
		rule: {
			titleColor: "#f8eb59",
			textColor: "#fff"
		},
		reward: {
			bgColor: "#630606",
			bgItemColor: "#922222",
			textColor: "#fff",
			betColor: "#f96969",
			texColor: "#ffdf3f"
		},
		popUp: {
			btnColor: "#811009",
			highlightTextColor: "#fdcb08",
			textColor: "#ffffff",
			rankColor: "#f8eb59",

			rankView: {
				width: "690rpx",
				height: "1058rpx",
				top: "50%",
				headerBgColor: "#B42118",
				itemBgColor: "#8D120E",
				transform: 'translate(-50%, -55%)',
				paddingTop: "124rpx",
				isShowEventAward: true,
				padding: "0 25rpx",
				marginBottom: "37rpx",
				closeTop: '52rpx',
				closeRight: '-20rpx'
			}
		},
		invitationRanks: {
			teamCardBg: "linear-gradient(0deg, #B42118, #82110D)",
		}
	},
	swiper: {
		dot: '#922222'
	},
	tabs: {
		normal: '#ffffff',
		active: '#FEBF05'
	},
	tabsRound: {
		bgColor: '#410505',
		textColor: '#FD5959',
		selectBgColor: 'linear-gradient(0deg, #FA4C49, #9A140C)',
		selectTextColor: '#ffffff'
	},
	input: {
		text: '#ffffff',
		placeholder: '#963333',
		icon: '#ffffff',
		bgColor: '#3D0303'
	},
	selectItem: {
		bgColor: '#963333',
		selectBgColor: '#F37E1C',
		text: '#ffffff',
		selectText: '#ffffff',
		badgeBgColor: '#B80A0A'
	},
	pageable: {
		btnColor: '#410505',
		disableBtnColor: '#922222',
		color: '#ffffff',
		currentTextColor: '#410505',
	},
	newAccountBtn: {
		bgColor: 'linear-gradient(0deg, #d90d2c, #bb0000)'
	},
	vip: {
		segTitleColor: '#3D0303',
		titleColor: '#ffffff',
		valueColor: '#FEBF05',
		topBottomBtnColor: 'linear-gradient(0deg, #32b12f, #10740b)',
		border: "none",
		bg: `url('${imgSrc}/vip/contactBg.png')`,
		customerTextColor: "#633005",
	},
	earn: {
		gradientBtn: 'linear-gradient(0deg, #32b12f, #10740b)',
	},
	// 个人中心相关色值
	account: {
		navBgColor: "#5F0409",
		// bgColor: "#410505",
		bgColor: "#560C13",
		// lightBgColor: '#610606',
		lightBgColor: '#560C13',
		isShowViewBlock: false,
		linearBgColor: "linear-gradient( 157deg, #410B0E 0%, #5D0207 100%)",
		confirmBtnBg: `url('${imgSrc}/account/btn_huang.png')`,
		confirmBtnTextColor: "#7B0810",
		text: {
			vipColor: "#fff",
			normal: '#ffffff',
			menuColor: "#ffffff",
			amountColor: "#ffde01",
			rightTextColor: "#ffde01",
			titleColor: "#fff",
			label: '#E9CD9C'
		},
		header: {
			bgColor: "#610606",
			color: "#fff",
			width: "17rpx",
			height: "29rpx",

		},
		noData: {
			color: "#fff",
			bgColor: "#610606"
		},

		button: {
			color: "#ffffff",
			// background: "linear-gradient(0deg, #3B5E31, #32b12f, #3B5E31)",
			background: "linear-gradient(180deg, #870C19 0%, #5F020B 100%)",
			borderColor: "#3B5E31",
			pureBgColor: "#f78b22",
		},
		balance: {
			bgColor: "#2c0303",
			balanceItemBgColor: "#922222",
			search: {
				text: "#ffde00"
			},
			text: {
				orderTypeColor: "#ffdf3f",
				amountColor: "#ffdf3f",
				itemBottomColor: "#fff",
			},
			statusParams: {
				bgColor: "rgba(0, 0, 0, 0.6)",
				contentBgColor: "#922222",
				titleTextColor: "#fed90d",
				borderColor: "#3a0e0e",
				itemTextColor: "#fff",
				itemTextActiveColor: "#ffde00"
			}
		},
		bankCard: {
			bgColor: "#2c0303",
			lightBgColor: '#610606',
			backCardItemBg: "#3d0303",
			backCardItemBorder: "#E13232",
			placeHolderBorderColor: "#3d0303",
			placeHolderBgColor: "#3d0303",
			borderColor: "#3C684F",
			text: {
				lable: "#fff",
				tipsColor: "#ffde00",
				btnColor: "#fff",
				inputColor: "#fff",
				placeHolderColor: "#963333"
			},
			isShowInputImage: true,
			newBankCard: {
				itemBgColor: "#922222",
				itemActiveBgColor: `url('${imgSrc}/account/bank-item-bg.png')`,
				accNoTextColor: "#fff",
				addBankCardBg: `url('${imgSrc}/account/add-bank-card.png')`,
				addBankCardTextColor: "#FDEA5A",
				addBankCardBtnBg: "linear-gradient(90deg, #F78B22, #E34E04)",
				delBankCardBtnBg: `url('${imgSrc}/account/del-bank.png')`,
				selectBgColor: "#7d1616",
				selectBgBorderColor: "#b13e3e",
				selectActiveColor: "#ffde00",
				selectItemColir: "#fff",
			}
		},
		feedBack: {
			bgColor: "#2c0303",
			lightBgColor: '#610606',
			placeHolderBgColor: "#3d0303",
			scenesItemBgColor: "#963333",
			scenesItemActiveBgColor: "#f37e1c",
			btnBg: "linear-gradient(90deg, #f78b22, #e34e04)",
			text: {
				lable: "#fff",
				btnColor: "#fff",
				inputColor: "#fff",
				placeHolderColor: "#963333",
				scenesItemActiveColor: "#fff",
				scenesItemColor: "#fff",
			},
		},
		gameRecords: {
			bgColor: "#2c0303",
			lightBgColor: '#610606',
			recordsItemBgColor: "#922222",
			search: {
				bgColor: "#3d0303",
				textColor: "#f4e3e3",
				borderColor: "rgba(0,0,0,0)",
				listBgColor: "#7d1616",
				listBorderColor: "#b13e3e",
				listItemTextColor: "#fff",
				listItemActiveTextColor: "#ffde00",
			},
			text: {
				normal: "#fff",
				batValue: "#ffdf3f",
				wlValue: "#18ff00",
			}
		},
		phoneBinding: {
			formItemBorderColor: "#c31212",
			formItemBgColor: "rgba(20, 1, 1, 0.6)",
			btn: {
				bgColor: "#5d1916",
			},
			getOtpBtn: {
				background: "#5d1916",
				textColor: "#f5736d",
			},
			text: {
				normal: "#fff",
				inputColor: "#fff",
				labelColor: "#FFF",
				labelNoValueColor: "#FFF"
			},
			check: {
				bgColor: "#3a0614",
				borderColor: "#d22726"
			},

			isShowDivisionImage: true,

		},
		profile: {
			bgColor: "#2c0303",
			lightBgColor: '#610606',
			profileItemBgColor: "#922222",
			text: {
				normal: "#fca7a7",
				copyTextColor: "#fca7a7",
				rightTextColor: "#fff",
			},

		},
		withdrawalPassword: {
			bgColor: "#2c0303",
			lightBgColor: '#610606',
			passwordItemBgColor: "#3d0303",
			passwordItemBorderColor: "#e13232",
			text: {
				normal: "#fff",
				inputColor: "#fff",
				placeHolderColor: "#963333",
				labelColor: "#fff",
				labelNoValueColor: "#fff",
			},
			getOtpBtn: {
				background: "#5d1916",
				textColor: "#f5736d",
			},
			btnBlockBgColor: "#820708",
			isShowDivisionImage: true,
		},
		profileEdit: {
			bgColor: "#2c0303",
			lightBgColor: '#610606',
			birthdayItemBgColor: "#3d0303",
			birthdayItemBorderColor: "rgba(0,0,0,0)",
			itemBorderColor: "#e13232",
			btnBgColor: "linear-gradient(-90deg, #f78b22, #e34e04)",
			text: {
				tip: "#ffde01",
				selectItemColor: "#fff",
				selectItemActiveColor: "#ffde00",
				placeholderColor: "#963333",
				noValueColor: "#963333",
				inputColor: "#fff",
				btnTextColor: "#fff"

			},
			list: {
				bgColor: "#7d1616",
				borderColor: "#b13e3e"
			}
		}

	},
	loginV2: {
		isRedUl: 0,
		popup: {
			bgColor: "rgba(0,0,0,.7)"
		},
		changePasswordBg: "#610606",
		blackBg: "blackBg",
		whiteBg: "#922222",
		lightGreyBg: "#521512",
		inputeItemBg: "#3D0303",
		copyBtnBgColor: "#e88a35",
		bg318C70: "#FFDF3F",
		inputBorderColor: "#FFDF3F",
		tabs: {
			highlight: '#FFDF3F',
			normal: '#ffffff'
		},
		intervalBg: "#531512",
		borderRadius: "45rpx",
		inputItemBorderColor: "3rpx solid rgba(195, 18, 18, 0.8)",
		sharBthBg: "linear-gradient(90deg, #F78B22, #E34E04)",
		copyBthBg: "linear-gradient(90deg, #259E25, #4BC55A)",
		text: {
			normal: "#FFFFFF",
			whiteColor: "#ffffff",
			configBtnTextColor: "#491802",
			labelNoValue: "#F43939",
			labelValue: "#F43939",
			tipTextColor: "#913735",
			btnTextColor: "#F5736D",
			agreementTextColor: "#C81F1E",
		}
	}
}