import GlobalConfig from '@/config/global.config.js'

const imgSrc = GlobalConfig.appImagePrefix()

// green.js
export default {
	bgColor: '#1C4C39',
	lightBgColor: '#22674B',
	darkBgColor: '#123829',
	themeBgColor: '#1C4C39',
	themeDarkBgColor: '#123829',
	seplineColor: '#22674B',
	darkSeplineColor: '#22674B',
	placeHolderColor: '#22674B',
	themeLightBgColor: '#123829',
	itemLightBgColor: "#22674B",

	startLoginBgColor: '#1C4C39',

	btnColor: '#1C4C39',
	mail: {
		unreadBg: `url('${imgSrc}/mail/image_mail_NotReceived.png')`,
		readedBg: `url('${imgSrc}/mail/image_mail_Received.png')`,
		titleColor: '#673815',
		timeColor: '#E6CDA4',
		titleColorReaded: '#C46A72',
		timeColorReaded: '#C46A72',
		light: '#FFFFFF',
		subTitle: '#BB6169',
		receiveBg: `url('${imgSrc}/mail/image_mail_giftdk.png')`,
		amount: '#FFF000',
		sendTip: '#3DD400',
		popConfirm: '#FFBF01',
	},
	button: {
		bgColor: '#1C4C39',
		textNormal: '#062716',
		normal: '#FBCF20',
		cancel: '#2FBD86',
		other: 'linear-gradient(90deg, #32B12F, #10740B)',
		normal1: 'linear-gradient(0deg, #ED6E07, #F3A010)',
		normal2: 'linear-gradient(0deg, #32B12F, #10740B)',
		// 这几个按钮特殊处理
		linearGolden: '#FBCF20',
		linearGreen: "linear-gradient(0deg, #3B5E31, #32b12f, #3B5E31)",
		linearGoldenBorder: '3px solid #BE6316',
		linearGoldenText: '#062716',
	},
	corner: {
		selectBtnColor: '#1C4C39',
		text: '#F8CF20'
	},
	wallet: {
		normal: '#FEBF05',
		light: '#ffffff',
		light07: 'rgba(255, 255, 255, 0.7)',
		theme: '#FEBF05',
		theme2: '#FB6A61',
		subtitle: '#FD5959',
		highlight: '#FEBF05',
		highlight2: '#FF9B9B',
		addAccountBg: 'linear-gradient( 360deg, #79130D 0%, #94150C 44%, #BC0B00 99%)',
		button: {
			normal: '#ffffff',
			bgColor: '#922222',
			textColor: '##7A2500',
			activeBgColor: '#f37e1c',
			activeTextColor: '#ffffff',
			selectLinearBgColor: 'linear-gradient( 360deg, #79130D 0%, #94150C 44%, #BC0B00 99%)',
			linearBgColor: 'linear-gradient( 360deg, #490F0E 0%, #660F0A 74%, #70130D 99%), rgba(106,22,27,0.79)',
		},
	},
	text: {
		normal: '#BFE8D5',
		light: '#BFE8D5',
		theme: '#F8CF20',
		theme2: '#BFE8D5',
		subtitle: '#BFE8D5',
		highlight: '#F8CF20',
		highlight2: '#BFE8D5',
	},
	coin: {
		text: '#000000'
	},
	popup: {
		bgColor: '#1C4C39'
	},
	navigateBar: {
		bgColor: '#22674B'
	},
	tabbar: {
		bgColor: '#22674B',
		textSelectColor: '#F8CF20',
		textNormalColor: '#94C1AE'
	},
	list: {
		headerBgColor: '#22674B',
		listBgColor: '#22674B'
	},
	home: {
		bgColor: 'none',
	},
	activity: {
		bgImage: `url('${imgSrc}/spins/lottery_bg.png')`,
		recordTitleBg: `url('${imgSrc}/spins/bt_tydk.png')`,
		awardBg: `url('${imgSrc}/spins/light_bg.png')`,
		awardBtnBg: `url('${imgSrc}/spins/btn_tc_huang.png')`,
		light: '#fff',
		normal: '#FEBF05',
		popAmount: '#FFBF01',
		popTip: '#FFDF3FFF',
		player: '#CE3E47',
		normalBg: '#440707',
		inviteColor: '#7A2500',
		recordTime: '#A62E36'
	},
	deposit: {
		bgColor: '#7B0107',
		bgImage: `url('${imgSrc}/deposit_btn_bg.png')`,
		itemBgColor: '#6E1719',
		itemBorderColor: '#963333',
		itemActiveBgColor: '#f37e1c',
		button: {
			normal: '#ffffff',
			bgColor: '#922222',
			textColor: '##7A2500',
			activeBgColor: '#f37e1c',
			activeTextColor: '#ffffff',
		}
	},
	promo: {
		text: {
			normal: '#ffffff',
			awardColor: "#F8CF20",
			serarchActiveColor: "#fff",
			serarchColor: "#fff",
			conditionColor: "#F8CF20",
			conditionStrokeColor: "#22674B",
			conditionActiveColor: "#ffffff",
			rankColor: "#fff",
			historyTextColor: "#fff",
		},
		search: {
			bgColor: "#650808",
			activeBgColor: "#F8CF20",
		},
		listItemBgColor: "#123829",
		rank: {
			bg: `url('${imgSrc}/promo/bg.png')`,
			bgColor: "#410505",
			bgActiveColor: "linear-gradient(0deg, #fa4c49, #9a140c)",
			listHeaderBgColor: "#8d120e",
			listItemBgColor: "#8d120e",
			rankTextColor: "#F8CF20",
			afterContent: "#1C4C39",

			rankRuleBgColor: "#b42118",
			rankRuleSubBgColor: "rgba(180, 40, 32, 0.7)",
		},
		rule: {
			titleColor: "#F8CF20",
			textColor: "#fff"
		},
		reward: {
			bgColor: "#630606",
			bgItemColor: "#1C4C39",
			textColor: "#fff",
			betColor: "#f96969",
			texColor: "#F8CF20"
		},
		popUp: {
			btnColor: "#811009",
			highlightTextColor: "#F8CF20",
			textColor: "#ffffff",
			rankColor: "#F8CF20",

			rankView: {
				width: "690rpx",
				height: "1058rpx",
				top: "50%",
				headerBgColor: "#8d120e",
				itemBgColor: "rgba(141, 18, 14, 0.6)",
				transform: 'translate(-50%, -55%)',
				paddingTop: "124rpx",
				isShowEventAward: true,
				padding: "0 25rpx",
				marginBottom: "37rpx",
				closeTop: '52rpx',
				closeRight: '-20rpx'
			}
		},
		invitationRanks: {
			teamCardBg: "linear-gradient(0deg, #22674B, #123829)",
		}
	},
	swiper: {
		dot: '#1C4C39'
	},
	tabs: {
		normal: '#ffffff',
		active: '#FEBF05'
	},
	tabsRound: {
		bgColor: '#22674B',
		textColor: '#BFE8D5',
		selectBgColor: '#F8CF20',
		selectTextColor: '#062716'
	},
	input: {
		text: '#ffffff',
		placeholder: '#BFE8D5',
		icon: '#ffffff',
		bgColor: '#123829'
	},
	selectItem: {
		bgColor: '#22674B',
		selectBgColor: '#F8CF20',
		text: '#ffffff',
		selectText: '#123829',
		badgeBgColor: '#B80A0A'
	},
	pageable: {
		btnColor: '#20674B',
		disableBtnColor: '#20674B',
		color: '#ffffff',
		currentTextColor: '#32C489',
	},
	newAccountBtn: {
		bgColor: '#F8CF20'
	},
	vip: {
		segTitleColor: '#062716',
		titleColor: '#ffffff',
		valueColor: '#F8CF20',
		topBottomBtnColor: '#F8CF20',
		border: "none",
		bg: `url('${imgSrc}/vip/contactBg.png')`,
		customerTextColor: "#633005",
	},
	earn: {
		gradientBtn: 'linear-gradient(0deg, #32b12f, #10740b)',
	},
	// 个人中心相关色值
	account: {
		bgColor: "#123829",
		lightBgColor: '#1C4C39',
		isShowViewBlock: false,
		linearBgColor: "linear-gradient( 157deg, #410B0E 0%, #5D0207 100%)",
		text: {
			vipColor: "#fff",
			normal: '#ffffff',
			menuColor: "#ffffff",
			amountColor: "#F8CF20",
			rightTextColor: "#F8CF20",
			titleColor: "#fff",
		},
		header: {
			bgColor: "#1C4C39",
			color: "#fff",
			width: "17rpx",
			height: "29rpx",

		},
		noData: {
			color: "#fff",
			bgColor: "#1C4C39"
		},

		button: {
			color: "#123829",
			background: "#F8CF20",
			borderColor: "#3B5E31",
			pureBgColor: "#f78b22",
		},
		balance: {
			bgColor: "#22674B",
			balanceItemBgColor: "#1C4C39",
			search: {
				text: "#F8CF20"
			},
			text: {
				orderTypeColor: "#F8CF20",
				amountColor: "#F8CF20",
				itemBottomColor: "#fff",
			},
			statusParams: {
				bgColor: "rgba(0, 0, 0, 0.3)",
				contentBgColor: "#1C4C39",
				titleTextColor: "#F8CF20",
				borderColor: "#1C4C39",
				itemTextColor: "#fff",
				itemTextActiveColor: "#F8CF20"
			}
		},
		bankCard: {
			bgColor: "#22674B",
			lightBgColor: '#1C4C39',
			backCardItemBg: "#123829",
			backCardItemBorder: "#22674B",
			placeHolderBorderColor: "#123829",
			placeHolderBgColor: "#123829",
			borderColor: "#3C684F",
			text: {
				lable: "#fff",
				tipsColor: "#F8CF20",
				btnColor: "#fff",
				inputColor: "#fff",
				placeHolderColor: "#22674B"
			},
			isShowInputImage: true,
			newBankCard: {
				itemBgColor: "#1C4C39",
				itemActiveBgColor: `url('${imgSrc}/account/bank-item-bg.png')`,
				accNoTextColor: "#fff",
				addBankCardBg: `url('${imgSrc}/account/add-bank-card.png')`,
				addBankCardTextColor: "#F8CF20",
				addBankCardBtnBg: "linear-gradient(90deg, #F78B22, #E34E04)",
				delBankCardBtnBg: `url('${imgSrc}/account/del-bank.png')`,
				selectBgColor: "#123829",
				selectBgBorderColor: "#22674B",
				selectActiveColor: "#F8CF20",
				selectItemColir: "#fff",
			}
		},
		feedBack: {
			bgColor: "#22674B",
			lightBgColor: '#1C4C39',
			placeHolderBgColor: "#123829",
			scenesItemBgColor: "#22674B",
			scenesItemActiveBgColor: "#F8CF20",
			btnBg: "#F8CF20",
			text: {
				lable: "#fff",
				btnColor: "#fff",
				inputColor: "#fff",
				placeHolderColor: "#22674B",
				scenesItemActiveColor: "#22674B",
				scenesItemColor: "#fff",
			},
		},
		gameRecords: {
			bgColor: "#22674B",
			lightBgColor: '#1C4C39',
			recordsItemBgColor: "#1C4C39",
			search: {
				bgColor: "#123829",
				textColor: "#f4e3e3",
				borderColor: "rgba(0,0,0,0)",
				listBgColor: "#123829",
				listBorderColor: "#237454",
				listItemTextColor: "#fff",
				listItemActiveTextColor: "#F8CF20",
			},
			text: {
				normal: "#fff",
				batValue: "#F8CF20",
				wlValue: "#18ff00",
			}
		},
		phoneBinding: {
			formItemBorderColor: "#237454",
			formItemBgColor: "#123829",
			btn: {
				bgColor: "#22674B",
			},
			getOtpBtn: {
				background: "#22674B",
				textColor: "#BFE8D5",
			},
			text: {
				normal: "#fff",
				inputColor: "#fff",
				labelColor: "#FFF",
				labelNoValueColor: "#FFF"
			},
			check: {
				bgColor: "#123829",
				borderColor: "#123829"
			},

			isShowDivisionImage: true,

		},
		profile: {
			bgColor: "#22674B",
			lightBgColor: '#1C4C39',
			profileItemBgColor: "#1C4C39",
			text: {
				copyTextColor: "#fff",
				rightTextColor: "#fff",
			},

		},
		withdrawalPassword: {
			bgColor: "#22674B",
			lightBgColor: '#1C4C39',
			passwordItemBgColor: "#123829",
			passwordItemBorderColor: "#237454",
			text: {
				normal: "#fff",
				inputColor: "#fff",
				placeHolderColor: "#22674B",
				labelColor: "#fff",
				labelNoValueColor: "#fff",
			},
			getOtpBtn: {
				background: "#22674B",
				textColor: "#BFE8D5",
			},
			btnBlockBgColor: "#22674B",
			isShowDivisionImage: true,
		},
		profileEdit: {
			bgColor: "#22674B",
			lightBgColor: '#1C4C39',
			birthdayItemBgColor: "#123829",
			birthdayItemBorderColor: "#237454",
			itemBorderColor: "#237454",
			btnBgColor: "#F8CF20",
			text: {
				tip: "#F8CF20",
				selectItemColor: "#fff",
				selectItemActiveColor: "#F8CF20",
				placeholderColor: "#22674B",
				noValueColor: "#22674B",
				inputColor: "#fff",
				btnTextColor: "#fff"

			},
			list: {
				bgColor: "#123829",
				borderColor: "#237454"
			}
		}

	},
	loginV2: {
		isRedUl: 0,
		popup: {
			bgColor: "rgba(0,0,0,.7)"
		},
		changePasswordBg: "#1C4C39",
		blackBg: "blackBg",
		whiteBg: "#1C4C39",
		lightGreyBg: "#521512",
		inputeItemBg: "#3D0303",
		copyBtnBgColor: "#e88a35",
		bg318C70: "#F8CF20",
		inputBorderColor: "#F8CF20",
		tabs: {
			highlight: '#F8CF20',
			normal: '#ffffff'
		},
		intervalBg: "#531512",
		borderRadius: "45rpx",
		inputItemBorderColor: "3rpx solid rgba(195, 18, 18, 0.8)",
		sharBthBg: "linear-gradient(90deg, #F78B22, #E34E04)",
		copyBthBg: "linear-gradient(90deg, #259E25, #4BC55A)",
		text: {
			normal: "#FFFFFF",
			whiteColor: "#ffffff",
			configBtnTextColor: "#491802",
			labelNoValue: "#F43939",
			labelValue: "#F43939",
			tipTextColor: "#913735",
			btnTextColor: "#F5736D",
			agreementTextColor: "#C81F1E",
		}
	}
}