import GlobalConfig from '@/config/global.config.js'

const imgSrc = GlobalConfig.appImagePrefix()

// white.js
export default {
	bgColor: '#ffffff',
	lightBgColor: '#F0F0F0',
	darkBgColor: '#ECF8F5',
	themeBgColor: '#126E51',
	themeDarkBgColor: '#126E51',
	seplineColor: '#D6D6D6',
	darkSeplineColor: '#f0f0f0',
	placeHolderColor: '#f0f0f0',
	themeLightBgColor: '#ECF8F5',
	itemLightBgColor: "#FFFFFF",

	startLoginBgColor: '#ffffff',

	btnColor: '#126E51',
	mail: {
		unreadBg: `url('${imgSrc}/mail/image_mail_NotReceived.png')`,
		readedBg: `url('${imgSrc}/mail/image_mail_Received.png')`,
		titleColor: '#673815',
		timeColor: '#E6CDA4',
		titleColorReaded: '#C46A72',
		timeColorReaded: '#C46A72',
		light: '#FFFFFF',
		subTitle: '#BB6169',
		receiveBg: `url('${imgSrc}/mail/image_mail_giftdk.png')`,
		amount: '#FFF000',
		sendTip: '#3DD400',
		popConfirm: '#FFBF01',
	},
	button: {
		bgColor: '#126E51',
		textNormal: '#ffffff',
		normal: '#126E51',
		cancel: '#E88A35',
		other: 'linear-gradient(90deg, #32B12F, #10740B)',
		normal1: 'linear-gradient(0deg, #ED6E07, #F3A010)',
		normal2: 'linear-gradient(0deg, #32B12F, #10740B)',
		// 这几个按钮特殊处理
		linearGolden: '#126E51',
		linearGreen: "#126E51",
		linearGoldenBorder: '0px solid #126E51',
		linearGoldenText: '#FFFFFF',
	},
	corner: {
		selectBtnColor: '#ECF8F5',
		text: '#126E51'
	},
	wallet: {
		normal: '#FEBF05',
		light: '#ffffff',
		light07: 'rgba(255, 255, 255, 0.7)',
		theme: '#FEBF05',
		theme2: '#FB6A61',
		subtitle: '#FD5959',
		highlight: '#FEBF05',
		highlight2: '#FF9B9B',
		addAccountBg: 'linear-gradient( 360deg, #79130D 0%, #94150C 44%, #BC0B00 99%)',
		button: {
			normal: '#ffffff',
			bgColor: '#922222',
			textColor: '##7A2500',
			activeBgColor: '#f37e1c',
			activeTextColor: '#ffffff',	
			selectLinearBgColor: 'linear-gradient( 360deg, #79130D 0%, #94150C 44%, #BC0B00 99%)',
			linearBgColor: 'linear-gradient( 360deg, #490F0E 0%, #660F0A 74%, #70130D 99%), rgba(106,22,27,0.79)',
		},
	},
	text: {
		normal: '#211e21',
		light: '#898989',
		theme: '#126E51',
		theme2: '#126E51',
		subtitle: '#898989',
		highlight: '#agreementTextColor',
		highlight2: '#126E51',
	},
	coin: {
		text: '#ffffff'
	},
	popup: {
		bgColor: '#ffffff'
	},
	navigateBar: {
		bgColor: '#ffffff'
	},
	tabbar: {
		bgColor: '#ffffff',
		textSelectColor: '#126E51',
		textNormalColor: '#FB9595'
	},
	list: {
		headerBgColor: '#126E51',
		listBgColor: 'rgba(18,110,81,0.8)'
	},
	home: {
		bgColor: "#ffffff",
	},
	activity: {
		bgImage: `url('${imgSrc}/spins/lottery_bg.png')`,
		recordTitleBg: `url('${imgSrc}/spins/bt_tydk.png')`,
		awardBg: `url('${imgSrc}/spins/light_bg.png')`,
		awardBtnBg: `url('${imgSrc}/spins/btn_tc_huang.png')`,
		light: '#fff',
		normal: '#FEBF05',
		popAmount: '#FFBF01',
		popTip: '#FFDF3FFF',
		player: '#CE3E47',
		normalBg: '#440707',
		inviteColor: '#7A2500',
		recordTime: '#A62E36'
	},
	deposit: {
		bgColor: '#7B0107',
		bgImage: `url('${imgSrc}/deposit_btn_bg.png')`,
		itemBgColor: '#6E1719',
		itemBorderColor: '#963333',
		itemActiveBgColor: '#f37e1c',
		button: {
			normal: '#ffffff',
			bgColor: '#922222',
			textColor: '##7A2500',
			activeBgColor: '#f37e1c',
			activeTextColor: '#ffffff',
		}
	},
	promo: {
		text: {
			normal: '#211E21',
			awardColor: "#126E51",
			serarchActiveColor: "#ffffff",
			serarchColor: "#898989",

			conditionColor: "#126E51",
			conditionStrokeColor: "",
			conditionActiveColor: "#211E21",
			rankColor: "#FCE300",
			historyTextColor: "#fff",
		},
		search: {
			bgColor: "#F0F0F0",
			activeBgColor: "#126E51",
		},
		listItemBgColor: "#EAF2EF",
		rank: {
			bg: "#fff",
			bgColor: "#F0F0F0",
			bgActiveColor: "#126E51",
			listHeaderBgColor: "#126E51",
			listItemBgColor: "rgba(18,110,81,0.6)",
			rankTextColor: "#FCE300",
			afterContent: "#610606",

			rankRuleBgColor: "#126E51",
			rankRuleSubBgColor: "#EAF2EF",
		},
		rule: {
			titleColor: "#126E51",
			textColor: "#211E21"
		},
		reward: {
			bgColor: "#FFFFFF",
			bgItemColor: "#F0F0F0",
			textColor: "#211E21",
			betColor: "#agreementTextColor",
			texColor: "#agreementTextColor"
		},
		popUp: {
			btnColor: "#811009",
			highlightTextColor: "#FCE300",
			textColor: "#ffffff",
			rankColor: "#FCE300",

			rankView: {
				width: "749rpx",
				height: "1106rpx",
				top: "0",
				paddingTop: "257rpx",
				headerBgColor: "#126E51",
				itemBgColor: "rgba(18,110,81,0.6)",
				transform: "translateX(-50%)",
				isShowEventAward: false,
				padding: "0 54rpx",
				marginBottom: "105rpx",
				closeTop: '185rpx',
				closeRight: '8rpx'
			}
		},
		invitationRanks: {
			teamCardBg: 'linear-gradient(0deg, #32B12F, #10740B)',
		}
	},
	swiper: {
		dot: '#126E51'
	},
	tabs: {
		normal: '#898989',
		active: '#126E51'
	},
	tabsRound: {
		bgColor: '#F0F0F0',
		textColor: '#898989',
		selectBgColor: '#126E51',
		selectTextColor: '#ffffff'
	},
	input: {
		text: '#211e21',
		placeholder: '#898989',
		icon: '#211e21',
		bgColor: '#f0f0f0'
	},
	selectItem: {
		bgColor: '#ECF8F5',
		selectBgColor: '#126E51',
		text: '#639F8C',
		selectText: '#ffffff',
		badgeBgColor: '#copyBtnBgColor'
	},
	pageable: {
		btnColor: '#126E51',
		disableBtnColor: '#D3D3D3',
		color: '#898989',
		currentTextColor: '#126E51',
	},
	newAccountBtn: {
		bgColor: '#126E51'
	},
	vip: {
		segTitleColor: '#ffffff',
		titleColor: '#898989',
		valueColor: '#211e21',
		topBottomBtnColor: '#00B3A3',
		borderColor: "1px solid #126E51",
		bg: "#fff",
		customerTextColor: "#333333",
	},
	earn: {
		gradientBtn: '#126E51',
	},
	// 个人中心相关色值
	account: {
		bgColor: "#F0F0F0",
		lightBgColor: '#FFFFFF',
		isShowViewBlock: true,
		linearBgColor: "linear-gradient( 157deg, #410B0E 0%, #5D0207 100%)",
		text: {
			vipColor: "#fff",
			normal: '#211E21',
			menuColor: "#414344",
			amountColor: "#126E51",
			rightTextColor: "#898989",
			titleColor: "#126E51",
		},
		button: {
			color: "#fff",
			background: "#126E51",
			borderColor: "#126E51",
			pureBgColor: "#f78b22",
		},
		header: {
			bgColor: "#FFFFFF",
			color: "#211E21",
			width: "31rpx",
			height: "23rpx",
		},
		noData: {
			color: "#211E21",
			bgColor: "#fff"
		},
		balance: {
			bgColor: "#F0F0F0",
			balanceItemBgColor: "#F0F0F0",
			search: {
				text: "#126E51"
			},
			text: {
				orderTypeColor: "#211E21",
				amountColor: "#1BB685",
				itemBottomColor: "#898989",
			},
			statusParams: {
				bgColor: "rgba(0, 0, 0, 0.6)",
				contentBgColor: "#FFFFFF",
				titleTextColor: "#126E51",
				borderColor: "#F0F0F0",
				itemTextColor: "#211E21",
				itemTextActiveColor: "#126E51"
			}
		},
		bankCard: {
			bgColor: "#F0F0F0",
			lightBgColor: '#FFFFFF',
			backCardItemBg: "#ECF8F5",
			backCardItemBorder: "#318C70",
			placeHolderBorderColor: "rgba(0,0,0,0)",
			placeHolderBgColor: "#F0F0F0",
			borderColor: "#3C684F",
			text: {
				lable: "#211E21",
				btnColor: "#fff",
				tipsColor: "#agreementTextColor",
				inputColor: "#211E21",
				placeHolderColor: "#9D9D9E"
			},
			isShowInputImage: false,
			newBankCard: {
				itemBgColor: "#ECF8F5",
				itemActiveBgColor: `url('${imgSrc}/account/bank-item-bg.png')`,
				accNoTextColor: "#fff",
				addBankCardBg: "#126E51",
				addBankCardTextColor: "#FCE300",
				addBankCardBtnBg: "#126E51",
				delBankCardBtnBg: `url('${imgSrc}/account/del-bank.png')`,
				selectBgColor: "#ECF8F5",
				selectBgBorderColor: "#318C70",
				selectActiveColor: "#ffde00",
				selectItemColir: "#211E21",
			}
		},
		feedBack: {
			bgColor: "#F0F0F0",
			lightBgColor: '#ffffff',
			placeHolderBgColor: "#F0F0F0",
			scenesItemBgColor: "#ECF8F5",
			scenesItemActiveBgColor: "#126E51",
			btnBg: "#126E51",
			text: {
				lable: "#211E21",
				btnColor: "#fff",
				inputColor: "#211E21",
				placeHolderColor: "#9D9D9E",
				scenesItemActiveColor: "#fff",
				scenesItemColor: "#639F8C",
			},
		},
		gameRecords: {
			bgColor: "#F0F0F0",
			lightBgColor: '#ffffff',
			recordsItemBgColor: "#F0F0F0",
			search: {
				bgColor: "#ECF8F5",
				textColor: "#211E21",
				borderColor: "#318C70",
				listBgColor: "#ECF8F5",
				listBorderColor: "#318C70",
				listItemTextColor: "#211E21",
				listItemActiveTextColor: "#211E21",
			},
			text: {
				normal: "#211E21",
				batValue: "#agreementTextColor",
				wlValue: "#1BB685",
			}
		},
		phoneBinding: {
			formItemBorderColor: "rgba(240, 240, 240, 0)",
			formItemBgColor: "rgba(240, 240, 240, 1)",
			btn: {
				bgColor: "#fff",
				bg: "#126E51",
			},
			getOtpBtn: {
				background: "#DCE9E5",
				textColor: "#639F8C",
			},
			text: {
				normal: "#211E21",
				inputColor: "#211E21",
				labelColor: "#318C70",
				labelNoValueColor: "#87B4A5"
			},
			check: {
				bgColor: "#126E51",
				borderColor: "#126E51"
			},

			isShowDivisionImage: false,

		},
		profile: {
			bgColor: "#F0F0F0",
			lightBgColor: '#ffffff',
			profileItemBgColor: "#F0F0F0",
			text: {
				normal: "#126E51",
				copyTextColor: "#898989",
				rightTextColor: "#211E21",

			}
		},
		withdrawalPassword: {
			bgColor: "#F0F0F0",
			lightBgColor: '#ffffff',
			passwordItemBgColor: "#ECF8F5",
			passwordItemBorderColor: "#318C70",
			text: {
				normal: "#211E21",
				inputColor: "#211E21",
				placeHolderColor: "#9D9D9E",
				labelColor: "rgba(49, 140, 112, 1)",
				labelNoValueColor: "rgba(49, 140, 112, .6)",
			},
			getOtpBtn: {
				background: "#DCE9E5",
				textColor: "#639F8C"
			},
			btnBlockBgColor: "#fff",
			isShowDivisionImage: false,
		},
		profileEdit: {
			bgColor: "#F0F0F0",
			lightBgColor: '#ffffff',
			birthdayItemBgColor: "#ECF8F5",
			birthdayItemBorderColor: "#318C70",
			itemBorderColor: "#318C70",
			btnBgColor: "#126E51",
			text: {
				tip: "#EC4E5D",
				selectItemColor: "#211E21",
				selectItemActiveColor: "#126E51",
				placeholderColor: "#211E21",
				noValueColor: "#211E21",
				inputColor: "#211E21",
				btnTextColor: "#fff"

			},
			list: {
				bgColor: "#ECF8F5",
				borderColor: "#318C70"
			}
		},

	},
	loginV2: {
		isRedUl: 1,
		popup: {
			bgColor: "rgba(0,0,0,.7)"
		},
		changePasswordBg: "#fff",
		inputItemBorderColor: 'none',
		blackBg: "#f0f0f0",
		whiteBg: "#ffffff",
		inputeItemBg: "#f0f0f0",
		lightGreyBg: "#f0f0f0",
		copyBtnBgColor: "#e88a35",
		bg318C70: "#318C70",
		inputBorderColor: "#116e51",
		intervalBg: "#dce9e5",
		borderRadius: "30rpx",
		sharBthBg: "linear-gradient(90deg, #F78B22, #E34E04)",
		copyBthBg: "linear-gradient(90deg, #259E25, #4BC55A)",

		tabs: {
			highlight: '#126E51',
			normal: '#211e21'
		},
		text: {
			normal: "#211e21",
			whiteColor: "#ffffff",
			configBtnTextColor: "#ffffff",
			labelNoValue: "rgba(49, 140, 112, 0.5)",
			labelValue: "rgba(49, 140, 112,1)",
			tipTextColor: "#9d9d9e",
			btnTextColor: "#639f8c",
			agreementTextColor: "#fb7321",
		}
	}
}